<?PHP
////++++++++++++++++ CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////

////Conexiones y tiempos de ejecución
$VpnEn=$_GET["VPN"] or $VpnEn=$_POST["VPN"];
$LtEn=$_GET["LT"] or $LtEn=$_POST["LT"];
ini_set('max_execution_time', $LtEn);
include ("conexion/$VpnEn.php");

$Cve_Modulo = "CMOD201506100189";

///Arrastra Variables Fijas
$UsuEn=$_POST['UsuKP'] or $UsuEn=$_GET['UsuKP'];
$TokEn=$_POST["TokenKP"] or $TokEn=$_GET["TokenKP"];
$IDSeEn=$_POST["IdDAcce"] or $IDSeEn=$_GET["IdDAcce"];
$CtaSesionEn=$_POST['CtaSKP'] or $CtaSesionEn=$_GET['CtaSKP'];
	
	/////////Identificar personalización 2
		$sqlP2 = mysql_query("select * from wms_personaliza2 where ID='1'");
		if (mysql_numrows($sqlP2)==0) echo "";
		else{
		$registroP2=mysql_fetch_array($sqlP2);
		}
		if (mysql_numrows($sqlP2)>0)
		{
		$Titulo=$registroP2["TITULO_PAGINAS"];
		}
		
	/////////Identificar personalización 1 - Dashboard
		$sqlP1DB = mysql_query("select COLOR_FRONTEND from dashboard_perfiles where USUARIO='$UsuEn'");
		if (mysql_numrows($sqlP1DB)==0) echo "";
		else{
		$registroP1DB=mysql_fetch_array($sqlP1DB);
		}
		if (mysql_numrows($sqlP1DB)>0)
		{
		$ColFront=$registroP1DB["COLOR_FRONTEND"];
		}		
		
	/////////Identificar configuracion 1
		$sqlC1 = mysql_query("select TIEMPO_INACTIVIDAD,DIAS_DISPONIBLES,TITULO_PAGINA from dashboard_config where ID='1'");
		if (mysql_numrows($sqlC1)==0) echo "";
		else{
		$registroC1=mysql_fetch_array($sqlC1);
		}
		if (mysql_numrows($sqlC1)>0)
		{
		$TimeInac=$registroC1["TIEMPO_INACTIVIDAD"];
		$DiasDisp=$registroC1["DIAS_DISPONIBLES"];
		$TituPagi=$registroC1["TITULO_PAGINA"];
		}
		
	/////////Identifica si el token aun esta vigente
		$ExtAño = substr($TokEn, -28, 4);    // devuelve el año
		$ExtDia = substr($TokEn, -7, 2);    // devuelve el mes
		$ExtMes = substr($TokEn, -14, 2);    // devuelve el día
		$FechTok=$ExtDia."/".$ExtMes."/".$ExtAño;
		$FechAct=$PreTo4=date("d/m/Y");
		
		if ($FechTok<>$FechAct)
		{
			echo "<script>alert('La sesión del Token de seguridad ha caducado.\\nFavor de iniciar sesion nuevamente.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_Force.php?USUkp=$UsuEn&IdDeAcc=$IDSeEn'>";
		}
		else
		{ ///Inicia IF Sesion Token
		
	/////////Identificar permisos de acceso 1
		$sqlPA1 = mysql_query("select * from tabla_usuarios where USUARION='$UsuEn'");
		if (mysql_numrows($sqlPA1)==0) 
		{
			echo "<script>alert('CODIGO: LOGSYS#00001\\nEl Usuario en sesión ha sido truncado por inexistencia.'); </script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogIn.php'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 1
		
	/////////Identificar permisos de acceso 2
		$sqlPA2 = mysql_query("select * from wms_configurapermisosnivelmodulo where USUARIO='$UsuEn' AND CVE_MODULO='$Cve_Modulo'");
		if (mysql_numrows($sqlPA2)==0) 
		{
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=SinPermisos.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Cve_ModuloKP=$Cve_Modulo'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 2
	
	/////////Identificar permisos de acceso 3 - Acreditación de Sesión Activa	
		$sqlPA3 = mysql_query("select * from tabla_controlsesionesdb where USUARIO='$UsuEn'");
		if (mysql_numrows($sqlPA3)==0) 
		{
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_ReLogIn.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&' target='_parent'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 3
		
		//////HORA y FECHA/////
			$Hora=time();
			$HoraOK=date("H:i:s",$Hora);
			$Fecha=date("Y/m/d");
						
			//////Identificar la Cuenta y la Bodega
			$sqlCR1 = mysql_query("select * from wms_configura_altacuentas where NOMBRE_CUENTA='$CtaSesionEn'");
			if (mysql_numrows($sqlCR1)==0) echo "";
			else{
			$registroCR1=mysql_fetch_array($sqlCR1);
			}
			if (mysql_numrows($sqlCR1)>0)
			{
			$CveBodCR1=$registroCR1["CVE_BODEGA"];
			$CveCueCR1=$registroCR1["CVE_CUENTA"];
			}
			
				$sqlCR2 = mysql_query("select * from wms_configura_altabodega where CVE_BODEGA='$CveBodCR1'");
				if (mysql_numrows($sqlCR2)==0) echo "";
				else{
				$registroCR2=mysql_fetch_array($sqlCR2);
				}
				if (mysql_numrows($sqlCR2)>0)
				{
				$NomBodCR2=$registroCR2["NOMBRE_BODEGA"];
				}
				
			///Determinar si la Licencia aán esta Vigente
			$FechaLic=date("Y/m/d"); 
			if ($DiasDisp < $FechaLic)
			{
				echo "<script>alert('ATENCIÓN:\\n\\nTe informamos que tu licencia a expirado, serás redireccionado a la pagina indicada para que puedas continuar con el proceso de Actualización.\\n\\nAgradecemos tu comprensión.');</script>";
				echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=UpdateLicense.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
			}
			else
			{ ///Inicia IF Vencimiento de Licencia
				
		///Guardar el Registro de la Graficación
		$Hora=time();
		$HoraOK=date("H:i:s",$Hora);
		$FechaGen=date("Y/m/d");
		$CveRepo="20";
		$NomRepo="Monitoreo de Tareas";
		$NivRepo="Kilos";
		$RangoRepo="Demanda";
		$AreRepo="Surtido";
		$sql_GH = mysql_query("insert into dashboard_historico (CVE_CUENTA,NOMBRE_CUENTA,CVE_REPORTE,NOMBRE_REPORTE,NIVEL,RANGO,SELECION_RANGO,AREA,USUARIO,FECHA,HORA)
		values('$CveCueCR1','$CtaSesionEn','$CveRepo','$NomRepo','$NivRepo','$RangoRepo','N/A','$AreRepo','$UsuEn','$FechaGen','$HoraOK')");
		///$resultado_GH=mysql_query($sql_GH,$conexion) or die(mysql_error());
				
////++++++++++++++ FIN CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////				
				
////#########################################################################################################///
				
	///Elimina Data del Grafico Anterior Generado por el usuario en Sesión
	$sql_EDG= mysql_query("DELETE FROM dashboard_kpi20 WHERE CVE_CUENTA='$CveCueCR1' AND USUARIO='$UsuEn' AND (CLASIFICACION='1' or CLASIFICACION='2' or CLASIFICACION='3' or CLASIFICACION='4' or CLASIFICACION='5' or CLASIFICACION='6' or CLASIFICACION='7' or CLASIFICACION='8' or CLASIFICACION='9')");
				
	///***Detectar el total de Cleintes/Destinos diferentes dentro de toda la Ola de surtido
	$sql_w0=mysql_query("SELECT Distinct(tabla_tareas.no_documento) As DifeDocumento FROM tabla_docsurtido INNER JOIN tabla_tareas ON ( tabla_tareas.no_documento = tabla_docsurtido.no_documento ) WHERE tabla_docsurtido.edo_documento <> 'cerrado' AND tabla_tareas.observaciones = '' AND tabla_docsurtido.cve_cuenta = '$CveCueCR1' Order by tabla_tareas.id ASC");
	while($res_w0=mysql_fetch_array($sql_w0))
	{///Inicia While 00
		
		$DifDocSur_w0 = $res_w0['DifeDocumento'];
		
		///Consultar el Destino dentro del Documento de Surtido
		$sql_CDS = mysql_query("select DESTINO from tabla_docsurtido where NO_DOCUMENTO='$DifDocSur_w0' AND CVE_CUENTA='$CveCueCR1'");
		if (mysql_numrows($sql_CDS)==0) echo "";
		else{
		$registro_CDS=mysql_fetch_array($sql_CDS);
		}
		if (mysql_numrows($sql_CDS)>0)
		{
		$CveDest_CDS=$registro_CDS["DESTINO"];
		}
		
		///Consultar el Nombre del Destino dentro del Catalogo
		$sql_CDS2 = mysql_query("select NOMBRE from tabla_destinosclientes where CVE_DESTINO='$CveDest_CDS' AND CVE_CUENTA='$CveCueCR1'");
		if (mysql_numrows($sql_CDS2)==0) echo "";
		else{
		$registro_CDS2=mysql_fetch_array($sql_CDS2);
		}
		if (mysql_numrows($sql_CDS2)>0)
		{
		$NomDest_CDS2=$registro_CDS2["NOMBRE"];
		}	
		
///***********************
		
	///Tareas Pendientes - Nivel TOTAL DE TAREAS	
	$sql_w7 = mysql_query("SELECT Count(tabla_tareas.no_tarea) As TotTarGen FROM tabla_docsurtido INNER JOIN tabla_tareas ON ( tabla_tareas.no_documento = tabla_docsurtido.no_documento ) WHERE tabla_docsurtido.edo_documento <> 'cerrado' AND tabla_tareas.observaciones = '' AND tabla_docsurtido.cve_cuenta = '$CveCueCR1' AND tabla_docsurtido.no_documento = '$DifDocSur_w0'");
	if (mysql_numrows($sql_w7)==0) echo "";
	else{
	$registro_w7=mysql_fetch_array($sql_w7);
	}
	if (mysql_numrows($sql_w7)>0)
	{
	$TotalTareas_w7=$registro_w7["TotTarGen"];
	}
		
		///Fecha y Hora
		$Hora=time();
		$HoraOK=date("H:i:s",$Hora);
		$Fecha=date("d/m/Y");
		
		///Generando Consecutivo de Tabla
		$sqlID = "select max(ID) as ultimo_FOLIO from dashboard_kpi20"; 
		$lib = mysql_query($sqlID); 
		$rs_lib = mysql_fetch_assoc($lib); 
		$id_nuevo = $rs_lib['ultimo_FOLIO'] + 1;
		
		///Insertar Registro
		$sql_ins1 = mysql_query("insert into dashboard_kpi20 (ID,CVE_BODEGA,CVE_CUENTA,CLASIFICACION,CVE_DESTINOCLIENTE,NOM_DESTINOCLIENTE,NO_TAREAS,NO_CAJAS,NO_KILOS,FECHA,HORA,USUARIO)
		values('$id_nuevo','$CveBodCR1','$CveCueCR1','7','$CveDest_CDS','$NomDest_CDS2','$TotalTareas_w7','0','0','$Fecha','$HoraOK','$UsuEn')");	
		
		///Limpiando Variables
		$TotalTareas_w7 = "";	
		

	///Tareas Finalizadas - Nivel TOTAL DE TAREAS	
	$sql_w8 = mysql_query("SELECT Count(tabla_tareas.no_tarea) As TotTarFin FROM tabla_docsurtido INNER JOIN tabla_tareas ON ( tabla_tareas.no_documento = tabla_docsurtido.no_documento ) WHERE tabla_docsurtido.edo_documento <> 'cerrado' AND tabla_tareas.observaciones = '' AND tabla_tareas.estado_tarea = 'EJECUTADA' AND tabla_docsurtido.cve_cuenta = '$CveCueCR1' AND tabla_docsurtido.no_documento = '$DifDocSur_w0'");
	if (mysql_numrows($sql_w8)==0) echo "";
	else{
	$registro_w8=mysql_fetch_array($sql_w8);
	}
	if (mysql_numrows($sql_w8)>0)
	{
	$TareFina_w8=$registro_w8["TotTarFin"];
	}
		
		///Fecha y Hora
		$Hora=time();
		$HoraOK=date("H:i:s",$Hora);
		$Fecha=date("d/m/Y");
		
		///Generando Consecutivo de Tabla
		$sqlID = "select max(ID) as ultimo_FOLIO from dashboard_kpi20"; 
		$lib = mysql_query($sqlID); 
		$rs_lib = mysql_fetch_assoc($lib); 
		$id_nuevo = $rs_lib['ultimo_FOLIO'] + 1;
		
		///Insertar Registro
		$sql_ins1 = mysql_query("insert into dashboard_kpi20 (ID,CVE_BODEGA,CVE_CUENTA,CLASIFICACION,CVE_DESTINOCLIENTE,NOM_DESTINOCLIENTE,NO_TAREAS,NO_CAJAS,NO_KILOS,FECHA,HORA,USUARIO)
		values('$id_nuevo','$CveBodCR1','$CveCueCR1','8','$CveDest_CDS','$NomDest_CDS2','$TareFina_w8','0','0','$Fecha','$HoraOK','$UsuEn')");	
		
		///Limpiando Variables
		$TareFina_w8 = "";	
		
		
	///Tareas Finalizadas - Nivel TOTAL DE TAREAS	
	$sql_w9 = mysql_query("SELECT Count(tabla_tareas.no_tarea) As TotTarPen FROM tabla_docsurtido INNER JOIN tabla_tareas ON ( tabla_tareas.no_documento = tabla_docsurtido.no_documento ) WHERE tabla_docsurtido.edo_documento <> 'cerrado' AND tabla_tareas.observaciones = '' AND tabla_tareas.estado_tarea <> 'EJECUTADA' AND tabla_docsurtido.cve_cuenta = '$CveCueCR1' AND tabla_docsurtido.no_documento = '$DifDocSur_w0'");
	if (mysql_numrows($sql_w9)==0) echo "";
	else{
	$registro_w9=mysql_fetch_array($sql_w9);
	}
	if (mysql_numrows($sql_w9)>0)
	{
	$TarePend_w9=$registro_w9["TotTarPen"];
	}
		
		///Fecha y Hora
		$Hora=time();
		$HoraOK=date("H:i:s",$Hora);
		$Fecha=date("d/m/Y");
		
		///Generando Consecutivo de Tabla
		$sqlID = "select max(ID) as ultimo_FOLIO from dashboard_kpi20"; 
		$lib = mysql_query($sqlID); 
		$rs_lib = mysql_fetch_assoc($lib); 
		$id_nuevo = $rs_lib['ultimo_FOLIO'] + 1;
		
		///Insertar Registro
		$sql_ins1 = mysql_query("insert into dashboard_kpi20 (ID,CVE_BODEGA,CVE_CUENTA,CLASIFICACION,CVE_DESTINOCLIENTE,NOM_DESTINOCLIENTE,NO_TAREAS,NO_CAJAS,NO_KILOS,FECHA,HORA,USUARIO)
		values('$id_nuevo','$CveBodCR1','$CveCueCR1','9','$CveDest_CDS','$NomDest_CDS2','$TarePend_w9','0','0','$Fecha','$HoraOK','$UsuEn')");	
		
		///Limpiando Variables
		$TarePend_w9 = "";			
		
		
	///Limpiando Variables
		$DifDocSur_w0 = "";
		$CveDest_CDS = "";
		$NomDest_CDS2 = "";
		
}///Termina While 00		

?>

<!DOCTYPE HTML>
<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
		<title>Highcharts Example</title>

		<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.8.2/jquery.min.js"></script>
		<style type="text/css">
${demo.css}
		</style>
		<script type="text/javascript">
$(function () {
	
    $('#container').highcharts({
        chart: {
            type: 'column'
        },
        title: {
            text: 'Tareas por Cliente'
        },
		
		credits: {
        enabled: false
		},
		
        xAxis: {
            //categories: ['Apples', 'Oranges', 'Pears', 'Grapes', 'Bananas']
			
			<?PHP
			$sql_wCat=mysql_query("SELECT Distinct(CVE_DESTINOCLIENTE) As ClienteCategoria,NOM_DESTINOCLIENTE  FROM dashboard_kpi20 WHERE CVE_CUENTA = '$CveCueCR1' Order by CVE_DESTINOCLIENTE ASC");
			while($res_wCat=mysql_fetch_array($sql_wCat))
			{
				$CateCli = $res_wCat['ClienteCategoria'];
				$NombCli = $res_wCat['NOM_DESTINOCLIENTE'];
				
				$Cadena = $Cadena ."'".$CateCli."-".$NombCli."', ";			
			}
			?>
				
				categories: [<?PHP echo $Cadena; ?>]

			//categories: ['Apples', 'Oranges', 'Pears222', 'Grapes', 'Bananassasasa']
        },
        yAxis: {
            min: 0,
            title: {
                text: 'Monitoreo General de Tareas'
            },
            stackLabels: {
                enabled: false, /// Tue = Muestra el total por columna; False = No muestra el total por columna
                style: {
                    fontWeight: 'bold',
                    //color: (Highcharts.theme && Highcharts.theme.textColor) || 'gray' ///Color del total por columna
                }
            }
        },
        legend: {
            align: 'right',
            x: -30,
            verticalAlign: 'top',
            y: 25,
            floating: true,
            backgroundColor: (Highcharts.theme && Highcharts.theme.background2) || 'white',
            borderColor: '#CCC',
            borderWidth: 1,
            shadow: false
        },
        tooltip: {
            formatter: function () {
                return '<b>' + this.x + '</b><br/>' +
                    this.series.name + ': ' + this.y + '<br/>' +
                    'Total: ' + this.point.stackTotal;
            }
        },
        plotOptions: {
            column: {
                stacking: 'normal',
                dataLabels: {					
                    enabled: true,
                    color: (Highcharts.theme && Highcharts.theme.dataLabelsColor) || 'white',
                    style: {
                        textShadow: '0 0 3px black'
                    }
                }
            }
        },
        //series: [{
            //name: 'Pendientes',
            ////data: [5, 3, 4, 7, 2]
        //}, {
            //name: 'Finalizadas',
            //data: [2, 2, 3, 2, 1]
       // }, {
            //name: 'Generadas',
            //data: [3, 4, 4, 2, 5]
        //}]
		
		series: [{
            name: 'Pendientes',
			
			<?PHP
			$sql_wResul1=mysql_query("SELECT Distinct(CVE_DESTINOCLIENTE) As ClienteCategoria FROM dashboard_kpi20 WHERE CVE_CUENTA = '$CveCueCR1' Order by CVE_DESTINOCLIENTE ASC");
			while($res_wResul1=mysql_fetch_array($sql_wResul1))
			{
				$CateCli_wResul1 = $res_wResul1['ClienteCategoria'];
				
				///Realizar la suma
				$sql_S1 = "SELECT Sum(`NO_TAREAS`) As Suma1 FROM `dashboard_kpi20` WHERE `CVE_DESTINOCLIENTE`='$CateCli_wResul1' and `CLASIFICACION`='8'";
				$res_S1 = mysql_query($sql_S1); 
				$PrePiezas_S1 = mysql_fetch_assoc($res_S1);
				$TotPendien =  $PrePiezas_S1 ['Suma1'];
				if ($TotPendien=="")
				{
					$TotPendien = "0";
				}
				
				$CadenaTotTotPendien = $CadenaTotTotPendien.$TotPendien.", ";			
			}
			?>
						
            //data: [5, 3,]
			data: [<?PHP echo $CadenaTotTotPendien; ?>],
			color: '#FF0000'
			
        }, {
            name: 'Finalizadas',
			
			<?PHP
			$sql_wResul2=mysql_query("SELECT Distinct(CVE_DESTINOCLIENTE) As ClienteCategoria FROM dashboard_kpi20 WHERE CVE_CUENTA = '$CveCueCR1' Order by CVE_DESTINOCLIENTE ASC");
			while($res_wResul2=mysql_fetch_array($sql_wResul2))
			{
				$CateCli_wResul2 = $res_wResul2['ClienteCategoria'];
				
				///Realizar la suma
				$sql_S2 = "SELECT Sum(`NO_TAREAS`) As Suma2 FROM `dashboard_kpi20` WHERE `CVE_DESTINOCLIENTE`='$CateCli_wResul2' and `CLASIFICACION`='9'";
				$res_S2 = mysql_query($sql_S2); 
				$PrePiezas_S2 = mysql_fetch_assoc($res_S2);
				$TotFinaliza =  $PrePiezas_S2 ['Suma2'];
				if ($TotFinaliza=="")
				{
					$TotFinaliza = "0";
				}
				
				$CadenaTotFinaliza = $CadenaTotFinaliza.$TotFinaliza.", ";			
			}
			?>
						
            //data: [2, 2,]
			data: [<?PHP echo $CadenaTotFinaliza; ?>],
			color: '#088A08'
			
        }, {
			
            name: 'Generadas',
			
			<?PHP
			$sql_wResul3=mysql_query("SELECT Distinct(CVE_DESTINOCLIENTE) As ClienteCategoria FROM dashboard_kpi20 WHERE CVE_CUENTA = '$CveCueCR1' Order by CVE_DESTINOCLIENTE ASC");
			while($res_wResul3=mysql_fetch_array($sql_wResul3))
			{
				$CateCli_wResul3 = $res_wResul3['ClienteCategoria'];
				
				///Realizar la suma
				$sql_S3 = "SELECT Sum(`NO_TAREAS`) As Suma3 FROM `dashboard_kpi20` WHERE `CVE_DESTINOCLIENTE`='$CateCli_wResul3' and `CLASIFICACION`='7'";
				$res_S3 = mysql_query($sql_S3); 
				$PrePiezas_S3 = mysql_fetch_assoc($res_S3);
				$TotGenerada =  $PrePiezas_S3 ['Suma3'];
				if ($TotGenerada=="")
				{
					$TotGenerada = "0";
				}
				
				$CadenaTotGenerada = $CadenaTotGenerada.$TotGenerada.", ";			
			}
			?>
			
            //data: [3, 4,]
			data: [<?PHP echo $CadenaTotGenerada; ?>],
			color: '#000000'
        }]
		
		
    });
});
		</script>
	</head>
	<body>
		
<script src="Highcharts-4.1.5/js/highcharts.js"></script>
<script src="Highcharts-4.1.5/js/modules/exporting.js"></script>

<div id="container" style="min-width: 310px; height: 400px; max-width: 600px; margin: 0 auto"></div>		

</body>
</html>

<?PHP
} ///Termina IF Vencimiento de Licencia
} ///Termina IF Permiso de Acceso 3
} ///Termina IF Permiso de Acceso 2
} ///Termina IF Permiso de Acceso 1
} ///Termina IF Sesion del Token
?>